/* General Styles */
body {
  font-family: Arial, sans-serif;
  background-color: #f0f0f0;
  margin: 0;
  padding: 0;
  width: 100vw;
  height: 100vh;
}

.divider {
  width: 75%;
  height: 1px;
  background-color: #ccc;
  margin: 1rem auto;
}

.login-page {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100vh;
  max-width: 450px;
  margin: 0 auto;
  padding: 0 2rem;
}

.for-login {
  background-color: #ffffff;
  border-radius: 1rem;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  padding: 2.5rem 3rem;
  box-sizing: border-box;
  width: 100%;
}

.page-card-head {
  text-align: center;
  margin-bottom: 20px;
}

.page-card-head img.app-logo {
  width: 10rem;
  margin-bottom: 10px;
}

.page-card-head h4 {
  margin: 0;
  font-size: 1.2em;
  color: #333;
}

.form-group {
  margin-bottom: 15px;
}

.form-label {
  display: block;
  margin-bottom: 5px;
  font-weight: bold;
}

.form-control {
  width: 100%;
  padding: 10px;
  border: none;
  border-radius: 4px;
  box-sizing: border-box;
  background: rgb(243, 243, 243);
}

.email-field,
.password-field {
  position: relative;
}

.field-icon {
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%);
  cursor: pointer;
}

.toggle-password {
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%);
  cursor: pointer;
  font-size: 0.9em;
  color: #888;
}

.page-card-actions {
  margin-top: 20px;
}

.btn {
  display: inline-block;
  padding: 10px 20px;
  font-size: 1em;
  color: #fff;
  background-color: #202224;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  text-align: center;
  text-decoration: none;
  transition: background-color 0.3s;
}

.btn:hover {
  background-color: #2f3132;
}

.btn-block {
  width: 100%;
}

.btn-login-option {
  background-color: #f8f9fa;
  color: #333;
  border: 1px solid #ccc;
}

.btn-login-option:hover {
  background-color: #e2e6ea;
}

.login-button-wrapper {
  width: 100%;
}

.or {
  text-align: center;
  margin: 1rem 0;
  font-weight: 600;
  color: #838383;
}

.sso-section {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 1rem;
  background-color: #fff2ca;
  width: 100%;
  padding: 1rem 0;
  border-radius: 1rem;
}

.sso-button {
  background-color: #2a2a86;
  color: #fff;
  width: 40%;
  font-weight: 600;
  animation: enlarge 1s ease-out infinite;
}

@keyframes enlarge {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.05);
  }
  100% {
    transform: scale(1);
  }
}

.sso-icon {
  width: 25%;
  border-radius: 1rem;
  background-color: #fff;
  padding: 0.75rem;
}

.sso-button:hover {
  background-color: #4242b6;
}

/* Responsive Styles */
@media (max-width: 768px) {
  .for-login {
    padding: 2rem;
  }

  .page-card-head img.app-logo {
    width: 8rem;
  }

  .btn {
    padding: 8px 16px;
  }

  .sso-button {
    width: 40%;
    font-size: 0.75rem;
  }

  .sso-icon {
    width: 4rem;
  }
}

@media (max-width: 480px) {
  .for-login {
    padding: 1.5rem;
  }

  .page-card-head img.app-logo {
    width: 6rem;
  }
  .page-card-head h4 {
    font-size: 1rem;
  }
  .or {
    font-size: 0.8rem;
  }

  .btn {
    padding: 6px 12px;
  }
}
